package com.xhpc.charging.station.service;

import com.xhpc.charging.station.dto.XhpcPlaceholderDto;
import com.xhpc.common.core.domain.R;
import com.xhpc.common.domain.XhpcPlaceholder;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @Date 2025-04-22 22:30
 */
public interface IXhpcPlaceholderService {
    List<Map<String, Object>> getXhpcPlaceholderList(HttpServletRequest request,Map<String, Object> params);

    Map<String,Object> getXhpcPlaceholderDetail(Long placeholderId);

    R updateXhpcPlaceholder(XhpcPlaceholderDto xhpcPlaceholder);

    R installXhpcPlaceholder(XhpcPlaceholderDto xhpcPlaceholder);

    R removeXhpcPlaceholderById(HttpServletRequest request,XhpcPlaceholderDto xhpcPlaceholder);
}
